package com.younike.system.mapper;

import com.younike.system.domain.Video;
import com.younike.system.param.VideoParam;
import com.younike.system.domain.vo.VideoVo;

import java.util.List;

/**
 * @author Dail
 */
public interface VideoMapper {
    /**
     * 新增视频
     *
     * @param video
     * @return
     */
    int insertVideo(Video video);

    /**
     * 删除视频
     *
     * @param videoId
     * @return
     */
    int deleteByVideoId(Long videoId);

    /**
     * 编辑视频
     *
     * @param video
     * @return
     */
    int updateVideo(Video video);

    /**
     * 根据id查询视频
     *
     * @param videoId
     * @return
     */
    Video selectByVideoId(Long videoId);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param videoIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteVideoByVideoIds(Long[] videoIds);

    /**
     * 服务人员获得列表
     * @param video
     * @return
     */
    List<VideoVo> getVideoList(VideoParam video);

    /**
     * 获取视频详情
     * @param videoId
     * @return
     */
    VideoVo getInfo(Long videoId);


    /**
     * 会员端 ：服务人员视频列表
     * @param video
     * @return
     */
    List<VideoVo> serverVideoList(VideoParam video);

    /**
     * 会员端：获取首页运营推荐的视频、商家视频、全部视频列表
     * @param video
     * @return
     */
    List<VideoVo> memberVideoList(VideoParam video);


}
